/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#pragma once

#ifdef __cplusplus
extern "C" {
#endif

#include <glib.h>
#include <pkgmgr-info.h>
#include <sys/un.h>
#include <sys/types.h>
#include <stdbool.h>

#include "alarm-internal.h"

#define ALARMMGR_LOG_TAG_SIZE		20
#define ALARMMGR_LOG_MESSAGE_SIZE	330

profile_t _get_profile();
int _cynara_check(GDBusMethodInvocation *invocation, const char* privilege,
		pid_t pid);
char* _get_pkgid_by_appid(const char* app_id, uid_t uid);
int _pkg_is_global(const char* callee_pkgid, uid_t uid);
int _is_ui_app(const char *appid, uid_t uid);
bool _is_app(const char *appid, uid_t uid);
int _compare_api_version(int *result, int pid, uid_t uid);
bool _permit_by_config(pkgmgrinfo_appinfo_h handle, uid_t uid);
bool _is_permitted(const char *app_id, int alarm_type, uid_t uid);
int _get_pid_from_appid(const char *app_id, uid_t uid);

void _initialize_module_log(void);
void _save_module_log(const char *tag, const char *messgae);
void _save_alarm_info_log(const char *tag, __alarm_info_t *info);

#ifdef __cplusplus
}
#endif

